package utils

import (
	"golang.org/x/crypto/bcrypt"
)

// 生成Token的密钥，写死，防止乱改
//var jwtSecret = "qSxw4fCBBBecPsws"

// HashPassword 加密密码
func HashPassword(pass *string) {
	bytePass := []byte(*pass)
	hPass, _ := bcrypt.GenerateFromPassword(bytePass, bcrypt.DefaultCost)
	*pass = string(hPass)
}

// ComparePassword 校验密码
func ComparePassword(dbPass, pass string) bool {
	return bcrypt.CompareHashAndPassword([]byte(dbPass), []byte(pass)) == nil
}
